# $Revision: 1.64 $, $Date: 2011/06/30 21:55:15 $
# TODO:
#  - add python bcond
#  - package the Emacs and Jedit modes
#
# NOTE:
#  - next version is packaged as antlr3.spec. Please, do not upgrade this spec
#    to 3.
#
# Conditional build:
%bcond_without	gcj	# use javac instead of GCJ
%bcond_without	dotnet	# don't build .NET modules
%bcond_without	java	# don't build Java at all
#
%{?with_dotnet:%include	/usr/lib/rpm/macros.mono}
#
%ifarch i486 i586 i686 athlon %{x8664}
%undefine	with_gcj
%endif
#
Summary:	ANother Tool for Language Recognition
Summary(pl.UTF-8):	Jeszcze jedno narzędzie do rozpoznawania języka
Name:		antlr
Version:	2.7.7
Release:	11
License:	Public Domain
Group:		Development/Tools
Source0:	http://www.antlr2.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	01cc9a2a454dd33dcd8c856ec89af090
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-strcasecmp.patch
Patch2:		%{name}-gentoo.patch
URL:		http://www.antlr2.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
%{?with_dotnet:BuildRequires:	mono-csharp}
BuildRequires:	python
BuildRequires:	sed >= 4.0
%if %{with java}
%if %{with gcj}
BuildRequires:	java-gcj-compat-devel
%else
BuildRequires:	jar
BuildRequires:	jdk
Requires:	jpackage-utils
%endif
Requires:	jre
%endif
Conflicts:	pccts < 1.33MR33-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is a
language tool that provides a framework for constructing recognizers,
compilers, and translators from grammatical descriptions containing
Java, C#, or C++ actions. ANTLR is popular because it is easy to
understand, powerful, flexible, generates human-readable output, and
comes with complete source. ANTLR provides excellent support for tree
construction, tree walking, and translation.

%description -l pl.UTF-8
ANTLR (ANother Tool for Language Recognition; poprzednio znane jako
PCCTS) to narzędzie językowe dostarczające szkielet do tworzenia
programów rozpoznających języki, kompilatorów, translatorów z opisów
gramatycznych obejmujących Javę, C# lub C++. ANTLR jest popularne
ponieważ jest łatwe do zrozumienia, potężne, elastyczne, generuje
wyjście czytelne dla człowieka i jest dostępne z pełnymi źródłami.
ANTLR ma świetne wsparcie dla tworzenia drzew, przechodzenia po
drzewach oraz translacji.

%package -n dotnet-antlr
Summary:	.NET support for ANTLR
Summary(pl.UTF-8):	Moduły języka .NET dla biblioteki ANTLR
Group:		Libraries

%description -n dotnet-antlr
.NET support for ANTLR.

%description -n dotnet-antlr -l pl.UTF-8
Moduły języka .NET dla biblioteki ANTLR.

%package -n python-antlr
Summary:	Python runtime support for ANTLR-generated parsers
Summary(pl.UTF-8):	Moduł uruchomieniowy języka Python dla analizatorów ANTLR
Group:		Libraries/Python
%pyrequires_eq	python-libs

%description -n python-antlr
Python runtime support for ANTLR-generated parsers.

%description -n python-antlr -l pl.UTF-8
Moduł uruchomieniowy języka Python dla analizatorów wygenerowanych
przez ANTLR.

%package examples
Summary:	Examples of ANTLR usage
Summary(pl.UTF-8):	Przykładowe programy używające ANTLR
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
Examples of ANTLR usage.

%description examples -l pl.UTF-8
Przykładowe programy używające ANTLR.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub scripts
%{__autoconf}
%configure \
	%{?with_dotnet:CSHARPC=/usr/bin/mcs --enable-csharp} \
	%{!?with_dotnet:--disable-csharp} \
	--enable-cxx \
	%{?with_java:CLASSPATH=`pwd` --with-java=java --with-javac=javac --with-jar=jar} \
	%{!?with_java:--disable-java} \

CXXFLAGS="%{rpmcxxflags}" \
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{py_sitescriptdir}/%{name},%{_prefix}/lib/mono/%{name},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with java}
install $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/antlr.jar \
	$RPM_BUILD_ROOT%{_javadir}
%endif
install $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/*.py \
	$RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}
cp -Rf examples/{cpp,csharp,java,python} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} -name Makefile -exec rm -f {} \;

%{?with_dotnet:install lib/*.dll $RPM_BUILD_ROOT%{_prefix}/lib/mono/%{name}}

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}
rm $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}/*.py

%{__sed} -i -e "s,ANTLR_JAR=.*,ANTLR_JAR=\"%{_javadir}/antlr.jar\",g" $RPM_BUILD_ROOT%{_bindir}/antlr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/antlr
%attr(755,root,root) %{_bindir}/antlr-config
%{_includedir}/%{name}
%{_libdir}/libantlr.a
# Dont separate it, antlr binary wont work without it
%if %{with java}
%{_javadir}/*.jar
%endif

%if %{with dotnet}
%files -n dotnet-antlr
%defattr(644,root,root,755)
%dir %{_prefix}/lib/mono/%{name}
%{_prefix}/lib/mono/%{name}/*.dll
%endif

%files -n python-antlr
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{name}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: antlr.spec,v $
Revision 1.64  2011/06/30 21:55:15  august84
- rel 11; Requires: jre for builds --with java

Revision 1.63  2011/06/15 10:19:10  lisu
- rel 10

Revision 1.62  2010/11/24 08:29:52  arekm
- rel 9

Revision 1.61  2010/11/24 08:22:30  arekm
- try icedtea6 on i486

Revision 1.60  2010/11/24 08:19:04  arekm
- rel 8; fixed build (patch from gentoo)

Revision 1.59  2010/07/09 11:12:57  arekm
- release 7

Revision 1.58  2009/10/13 09:44:58  pawelz
- note about antlr3

Revision 1.57  2008/11/15 21:42:03  qboosh
- one i586 is enough

Revision 1.56  2008/11/15 21:39:28  arekm
- rel 6; i686, too

Revision 1.55  2008/11/15 20:21:23  arekm
- rel 5; use jdk where avilable

Revision 1.54  2008/08/26 21:51:23  pluto
- fix gcj and cpp build.

Revision 1.53  2008/01/12 20:47:25  qboosh
- release 4: rebuild with current g++

Revision 1.52  2008-01-12 19:30:13  qboosh
- build with mono even if pnet compiler (cscc) is installed

Revision 1.51  2007-12-09 01:22:52  glen
- R: jpackage-utils for %{_javadir}; cosmetics/cleanups

Revision 1.50  2007-03-16 10:53:57  arekm
- rel 3; use generic jar

Revision 1.49  2007/02/24 12:01:52  wrobell
- added java bcond to allow build without all java stuff

Revision 1.48  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.47  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.46  2007/01/28 00:58:31  arekm
- rel 2; use jar binary instead of fastjar

Revision 1.45  2006/11/13 21:43:03  qboosh
- use rpmcxxflags in make (configure overrides CXXFLAGS)

Revision 1.44  2006/11/10 18:11:15  prism
- updated to 2.7.7, patches are obsolete

Revision 1.43  2006/08/03 22:14:21  pluto
- gcj issue fixed, missed dir for dotnet added, release 2.

Revision 1.42  2006/08/03 21:41:23  pluto
- switch back to java-sun buildenv (gcj has a problems in runtime).
- release 1.

Revision 1.41  2006/05/22 20:46:58  qboosh
- python- doesn't require base (it's runtime package)

Revision 1.40  2006/05/22 20:39:25  qboosh
- added csharp patch (fixes dotnet- build)
- better python- desc from AC-branch

Revision 1.39  2006/05/21 22:39:33  qboosh
- explicit java/javac/jar arguments for both cases

Revision 1.38  2006/05/19 21:49:17  twittner
- add BR: libstdc++-devel

Revision 1.37  2006/05/07 13:28:58  prism
- 2.7.6
- warning, csharp is broken (doesn't build)

Revision 1.36  2006/04/25 20:38:50  prism
- fixed the examplesdir unification

Revision 1.35  2006/04/25 07:55:12  malekith
- pass --disable-csharp in case --without dotnet is specified

Revision 1.34  2006/04/25 07:38:09  qboosh
- unified examplesdir

Revision 1.33  2006/04/25 00:04:22  prism
- added examples subpackage

Revision 1.32  2006/01/25 01:05:06  adgor
- Fixed dotnet bcond

Revision 1.31  2005/11/27 01:37:56  pluto
- fix mono R:/P:.

Revision 1.30  2005/11/27 01:29:33  pluto
- dotnet module added.

Revision 1.29  2005/05/13 19:14:32  jpc
- packaged python files

Revision 1.28  2005/04/29 08:22:23  pluto
- release 4 for Th.

Revision 1.27  2005/04/28 19:47:01  qboosh
- needs gij at runtime

Revision 1.26  2005/04/18 04:24:17  pluto
- revision 1.23 copied to AC-branch.

Revision 1.25  2005/04/18 03:45:19  pluto
- ugly gcj hack removed. it works with gjdoc now.
- release 3.

Revision 1.24  2005/04/18 02:34:29  pluto
- s/bcond_with javac/bcond_without gcj/
- s/_javalibdir/_javadir/
- fix build with gcj (--with-jar=fastjar).

Revision 1.23  2005/04/13 21:18:48  qboosh
- fixed build with gcj and gcj/javac builds in presence of jikes

Revision 1.22  2005/04/12 21:55:58  djurban
- fix the antlr.jar location properly, rel. 2

Revision 1.21  2005/04/12 21:48:38  djurban
- update to 2.7.5, rel. 1, fix finally the .jar location and make the antlr binary actually work
- builds with sun's javac not tested on gcj, also updated todo - bindings for python and mono need to be packaged

Revision 1.20  2004/12/14 18:05:07  qboosh
- no //

Revision 1.19  2004/12/14 17:48:41  baggins
- one more typo

Revision 1.18  2004/12/14 17:47:57  baggins
- typo

Revision 1.17  2004/12/14 17:36:26  baggins
- release 2
- put jar file in proper place

Revision 1.16  2004/09/09 18:12:24  pluto
- bcond's desc fixed.

Revision 1.15  2004/05/18 20:42:22  qboosh
- bcond_with javac (use jdk instead of gcj, no native version)

Revision 1.14  2004/05/18 18:31:42  adgor
- Reverted CLASSPATH export (commented out but may be usefull)

Revision 1.13  2004/05/18 18:20:10  adgor
- 2.7.4

Revision 1.12  2004/02/13 15:06:35  twittner
- typo

Revision 1.11  2003/12/18 00:32:27  undefine
- release 5, remove obsoletes: cs..-antlr

Revision 1.10  2003/11/12 23:16:59  matkor
- Release 4. Removed jre dependency. Not sure if it should be done on HEAD.

Revision 1.9  2003/11/12 15:18:23  matkor
- Be more specific in BR for Ac builders.

Revision 1.8  2003/11/12 15:05:53  matkor
- Release 3. Switched to use gcc-java istead of jdk.

Revision 1.7  2003/10/12 12:22:22  qboosh
- pl, s/java/jre/ in R

Revision 1.6  2003/10/12 08:41:58  adgor
- Fixed Conflicts; added Obsoletes pccts-antlr
- Release 0.%%{_snap}.2

Revision 1.5  2003/10/09 21:07:17  adgor
- wget@df sucks?

Revision 1.4  2003/10/09 18:36:54  adgor
- Updated to 20030911 snapshot (2.7.2 produces a code that is not acceptable
  by gcc-3.1.1)
- Fixed patches

Revision 1.3  2003/10/09 16:08:01  adgor
- BR: jdk; R: java

Revision 1.2  2003/10/09 15:59:43  adgor
- Making antlr run-script usable
- Removed classpath.patch (reduced && merged with scripts.patch)
- Removed CLASSPATH export
- Release 2

Revision 1.1  2003/10/09 12:49:02  adgor
- Initial
